Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84983 - When using javac extra processes remain after work done
Summary: When using javac extra processes remain after work done
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 18:23 UTC by keith mannth
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-14 19:56:31 UTC


Attachments (Terms of Use)

Description keith mannth 2003-02-24 18:23:37 UTC
Description of problem: On my x440 (with 8 procs and 16gigs ht on) if
just run "javac" (not doing any work)  I have javac processes still 
running if I look on top.  These processes are eating as much cpu time
as they can and they don't go way unless I explicitly kill -9  them.
The more I run javac the more zombies I get. This is not a good thing. 


I did a little stracing and found the following.

if I strace the initial process all the rt_sigsuspend calls 
look like this

 rt_sigsuspend([USR1] <unfinished ...>
--- SIGRT_0 (Real-time signal 0) ---
<... rt_sigsuspend resumed> )           = -1 EINTR (Interrupted system call)

and if I strace one of the running zombies I see

--- SIGSEGV (Segmentation fault) --- 

over and over again.  They are stuck is some loop.
.

Version-Release number of selected component (if applicable):
I am runnig 2.4.9-e.12summit.

How reproducible:  For me very easy 


Steps to Reproduce:
1. type javac at a console 
2. repeate step 1 as much as you want
3.
    
Actual results:
zombie javac processes remain drasticaly degrading performance.

Expected results:
no extra proceses.

Additional info:  Feel free to contact me for more debug info.

Comment 1 Need Real Name 2003-03-10 22:45:32 UTC
We have found that this bug has been resolved by IBM Java2 version 1.4.0.

Comment 2 dff 2003-08-14 19:56:31 UTC
Will be resolved in RHEL 3 which will bundle IBM JDKs 1.4.1.


Note You need to log in before you can comment on or make changes to this bug.